#include "ksatinstance.h"

namespace satlab
{

void KSATinstance::addClause(const CLAUSE& clause)
{
    clauses.push_back(clause);
}

void KSATinstance::addClause(CLAUSE&& clause)
{
    clauses.push_back(clause);
}

const std::vector<KSATinstance::CLAUSE>& KSATinstance::getClauses() const
{
    return clauses;
}


}
